## gabedit 2.1.0

=== Makefile ===
GTKGL      = gtkglarea/*.o
COMMON     = src/Common/*.o
FILES      = src/Files/*.o
GAUSS      = src/Gaussian/*.o
GEOM       = src/Geometry/*.o
CURVE      = src/Spectrum/*.o
MODELS     = src/MolecularMechanics/*.o
MOLPRO     = src/Molpro/*.o
NETWORK    = src/NetWork/*.o
OPENGL     = src/OpenGL/*.o
UTILS      = src/Utils/*.o
SYMMETRY   = src/Symmetry/*.o
MOLCAS     = src/Molcas/*.o
MPQC       = src/MPQC/*.o
GAMESS     = src/Gamess/*.o
PCGAMESS     = src/PCGamess/*.o
QCHEM     = src/QChem/*.o
OPENGL     = src/OpenGL/*.o

include CONFIG
 
SUBDIRS = gtkglarea src/OpenGL src/Common src/Files src/Gaussian \
	src/Geometry src/Spectrum src/MolecularMechanics src/Molpro src/Molcas \
	src/MPQC src/Gamess src/QChem src/NetWork src/Utils src/Symmetry  src/PCGamess
 
TARGETS = all clean dep
 
.PHONY: $(SUBDIRS)

$(TARGETS): $(SUBDIRS)

$(SUBDIRS):
	@$(MAKENAME) --directory=$@ $(MAKECMDGOALS)

all: gabedit

gabedit: $(SUBDIRS)
	$(CC)  $(X11LIB) $(GTKGL) $(GTKPLOT) $(COMMON) $(FILES) $(GAUSS) $(GEOM) $(CURVE) $(MODELS) $(MOLPRO) $(MOLCAS) $(MPQC) $(GAMESS) $(PCGAMESS) $(QCHEM) $(NETWORK) $(OPENGL) $(UTILS) $(SYMMETRY) -o gabedit $(GTKLIB) $(OGLLIB) $(JPEGLIB) $(PTHREADLIB) $(WIN32LIB) -g
 
clean:
	@$(REMOVEFILE) gabedit
	@$(REMOVEFILE) gabedit.exe
	@$(REMOVEFILE) *.com
	@$(REMOVEFILE) p
	@$(REMOVEFILE) pp
	@$(REMOVEFILE) p.c
	@$(REMOVEFILE) *.gab

=== gtkglarea/Makefile ===
include ../CONFIG

OBJECTS = $(GDKGL).o gtkglarea.o

all: compiling

CFLAGS =  -Wall -O2 $(GTKCFLAGS) $(OGLCFLAGS) 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(REMOVEFILE) *.o

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/Common/Makefile ===
OBJECTS = Gabedit.o Help.o Install.o Preferences.o Printer.o Run.o SplashScreen.o TextEdit.o Windows.o Status.o Exit.o MenuToolBar.o StockIcons.o

include ../../CONFIG
CFLAGS =  -Wall -O2 $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/Files/Makefile ===
OBJECTS = FileChooser.o FolderChooser.o ListeFiles.o GabeditFolderChooser.o GabeditFileChooser.o

include ../../CONFIG
CFLAGS =  -Wall -O2 $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/Gamess/Makefile ===
OBJECTS = Gamess.o GamessMolecule.o GamessControl.o GamessBasis.o GamessGuess.o GamessSCF.o

include ../../CONFIG
CFLAGS =  -Wall -O2 $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/Gaussian/Makefile ===
OBJECTS = GInterfaceBasis.o GInterfaceGeom.o GInterfaceLink.o GInterfaceMethodeBase.o GInterfaceRoute.o Gaussian.o

include ../../CONFIG
CFLAGS =  -Wall -O2 $(GTKCFLAGS)

all: compiling 


%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/Geometry/Makefile ===
OBJECTS = DrawGeom.o EnergiesCurves.o Fragments.o GeomConversion.o GeomXYZ.o GeomZmatrix.o ImagesGeom.o InterfaceGeom.o Mesure.o Postscript.o Povray.o ResultsAnalise.o Symmetry.o RotFragments.o BuildLinear.o BuildRing.o BuildRoZPhi.o BuildPolyPeptide.o FragmentsPPD.o FragmentsPSC.o FragmentsPNA.o BuildPolySaccharide.o BuildPolyNucleicAcid.o BuildNanoTube.o PersonalFragments.o SavePersonalFragments.o LoadPersonalFragments.o OpenBabel.o MenuToolBarGeom.o

include ../../CONFIG
CFLAGS =  -Wall -O2 $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/MPQC/Makefile ===
OBJECTS = MPQC.o MPQCMolecule.o MPQCMole.o MPQCGuessWaveFunction.o MPQCMpqc.o MPQCBasis.o MPQCLib.o MPQCBasisLibrary.o MPQCFunctionals.o MPQCOptimisation.o MPQCProperties.o

include ../../CONFIG
CFLAGS =  -Wall -O2 $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/Molcas/Makefile ===
OBJECTS = Molcas.o MolcasSeward.o MolcasScf.o MolcasGridIT.o MolcasOptimisation.o MolcasVariables.o MolcasLib.o MolcasBasisLibrary.o MolcasBasis.o

include ../../CONFIG
CFLAGS =  -Wall -O2 $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/MolecularMechanics/Makefile ===
OBJECTS = Atom.o Molecule.o ForceField.o MolecularMechanics.o ConjugateGradient.o SteepestDescent.o QuasiNewton.o MolecularMechanicsDlg.o CreateMolecularMechanicsFile.o CreatePersonalMMFile.o LoadMMParameters.o SetMMParameters.o CreateDefaultPDBTpl.o LoadPDBTemplate.o PDBTemplate.o SetPDBTemplate.o SavePDBTemplate.o CalculTypesAmber.o MolecularDynamics.o 

include ../../CONFIG
CFLAGS =  -Wall -O2 $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/Molpro/Makefile ===
OBJECTS = MolproLib.o MInterfaceBasis.o MInterfaceComm.o MInterfaceGene.o MInterfaceGeom.o Molpro.o MolproBasisLibrary.o

include ../../CONFIG
CFLAGS =  -Wall -O2 $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/NetWork/Makefile ===
OBJECTS = Ftp.o Process.o Rsh.o Ssh.o Scp.o FilesTransfer.o RemoteCommand.o Batch.o

include ../../CONFIG
CFLAGS =  -Wall -O2 $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

## gabedit 2.1.8

=== Makefile ===

include CONFIG

COMMON     = src/Common/*.o
CURVE      = src/Spectrum/*.o
FILES      = src/Files/*.o
GAMESS     = src/Gamess/*.o
GAUSS      = src/Gaussian/*.o
GEOM       = src/Geometry/*.o
MODELS     = src/MolecularMechanics/*.o
MOLCAS     = src/Molcas/*.o
MOLPRO     = src/Molpro/*.o
MOPAC      = src/Mopac/*.o
MPQC       = src/MPQC/*.o
MULTIGRID  = src/MultiGrid/*.o
NETWORK    = src/NetWork/*.o
OPENGL     = src/OpenGL/*.o
PCGAMESS   = src/PCGamess/*.o
QCHEM      = src/QChem/*.o
UTILS      = src/Utils/*.o
SYMMETRY   = src/Symmetry/*.o

 
OBJECTS = \
	$(COMMON) $(CURVE) $(FILES) $(GAMESS) $(GAUSS) $(GEOM) $(MODELS) \
	$(MOLCAS) $(MOLPRO) $(MOPAC) $(MPQC) $(MULTIGRID) $(NETWORK) \
	$(OPENGL) $(PCGAMESS) $(QCHEM) $(UTILS) $(SYMMETRY)

SUBDIRS = \
	src/OpenGL src/Common src/Files src/Gaussian \
 	src/Geometry src/Spectrum src/MolecularMechanics src/Molpro src/Molcas \
	src/MPQC src/Gamess src/QChem src/Mopac src/NetWork src/Utils \
	src/Symmetry src/PCGamess src/MultiGrid

ifneq ($(external_gtkglarea),1)
GTKGL     = gtkglarea/*.o
OBJECTS  += $(GTKGL)
SUBDIRS  += gtkglarea
endif

ifneq ($(external_gl2ps),1)
GL2PS     = gl2ps/*.o
OBJECTS  += $(GL2PS)
SUBDIRS  += gl2ps
endif
 
TARGETS = all clean dep
 
.PHONY: $(SUBDIRS)

$(TARGETS): $(SUBDIRS)

$(SUBDIRS):
	@$(MAKE) --directory=$@ $(MAKECMDGOALS)

all: gabedit

gabedit: $(SUBDIRS)
	$(CC) $(LDFLAGS) $(OBJECTS) -o gabedit $(X11LIB) $(GTKLIB) $(OGLLIB) $(JPEGLIB) $(LIBPTHREAD) $(WIN32LIB) -g
 
clean:
	@$(RM) gabedit
	@$(RM) gabedit.exe
	@$(RM) *.com
	@$(RM) p
	@$(RM) pp
	@$(RM) p.c
	@$(RM) *.gab

=== src/Geometry/Makefile ===
OBJECTS = DrawGeom.o EnergiesCurves.o Fragments.o GeomConversion.o GeomXYZ.o GeomZmatrix.o ImagesGeom.o InterfaceGeom.o Mesure.o Postscript.o Povray.o ResultsAnalise.o Symmetry.o RotFragments.o BuildLinear.o BuildRing.o BuildRoZPhi.o BuildPolyPeptide.o FragmentsPPD.o FragmentsPSC.o FragmentsPNA.o BuildPolySaccharide.o BuildPolyNucleicAcid.o BuildNanoTube.o PersonalFragments.o SavePersonalFragments.o LoadPersonalFragments.o FragmentsSelector.o OpenBabel.o MenuToolBarGeom.o PreviewGeom.o FragmentsTree.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/Molcas/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 OBJECTS = Molcas.o MolcasSeward.o MolcasScf.o MolcasGridIT.o MolcasOptimisation.o MolcasVariables.o MolcasLib.o MolcasBasisLibrary.o MolcasBasis.o
 
 include ../../CONFIG
-CFLAGS =  -Wall -O2 $(GTKCFLAGS)
+CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)
 
 all: compiling 
 
@@ -11,7 +11,7 @@
 compiling: $(OBJECTS)
 
 clean:
-	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
+	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
 
 include Dep.mk
 #make dependance

=== src/OpenGL/Makefile ===
OBJECTS = Cylinder.o GeomOrbXYZ.o BondsOrb.o GeomDraw.o Sphere.o TriangleDraw.o UtilsOrb.o Basis.o Grid.o IsoSurface.o ViewOrb.o GLArea.o OrbitalsGamess.o OrbitalsMolpro.o OrbitalsQChem.o OrbitalsMopac.o Orbitals.o StatusOrb.o AtomicOrbitals.o Images.o GridPlans.o Contours.o ContoursDraw.o PreferencesOrb.o GridCube.o GridAdfOrbitals.o GridAdfDensity.o Textures.o Dipole.o AxisGL.o PrincipalAxisGL.o Vibration.o VibrationDraw.o ColorMap.o GridM2MSI.o GridQChem.o AnimationRotation.o AnimationIsoSurface.o AnimationContours.o AnimationPlanesMapped.o AnimationGeomConv.o AnimationMD.o PovrayGL.o ContoursPov.o PlanesMappedDraw.o PlanesMapped.o PlanesMappedPov.o  SurfacesPov.o RingsPov.o MenuToolBarGL.o LabelsGL.o RingsOrb.o  ExportGL.o CaptureOrbitals.o

include ../../CONFIG

CFLAGS =  $(COMMONCFLAGS)  $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/Utils/Makefile ===
OBJECTS = GabeditTextEdit.o AtomsProp.o Jacobi.o Transformation.o Utils.o UtilsInterface.o Vector3d.o Matrix3D.o HydrogenBond.o PovrayUtils.o UtilsGL.o ConvUtils.o GabeditXYPlot.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

## gabedit 2.2.0

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 OPENGL     = src/OpenGL/*.o
 PCGAMESS   = src/PCGamess/*.o
 QCHEM      = src/QChem/*.o
+SEMIEMP    = src/SemiEmpirical/*.o
 UTILS      = src/Utils/*.o
 SYMMETRY   = src/Symmetry/*.o
 
@@ -24,24 +25,28 @@
 OBJECTS = \
 	$(COMMON) $(CURVE) $(FILES) $(GAMESS) $(GAUSS) $(GEOM) $(MODELS) \
 	$(MOLCAS) $(MOLPRO) $(MOPAC) $(MPQC) $(MULTIGRID) $(NETWORK) \
-	$(OPENGL) $(PCGAMESS) $(QCHEM) $(UTILS) $(SYMMETRY)
+	$(OPENGL) $(PCGAMESS) $(QCHEM) $(SEMIEMP) $(UTILS) $(SYMMETRY)
 
 SUBDIRS = \
 	src/OpenGL src/Common src/Files src/Gaussian \
  	src/Geometry src/Spectrum src/MolecularMechanics src/Molpro src/Molcas \
 	src/MPQC src/Gamess src/QChem src/Mopac src/NetWork src/Utils \
-	src/Symmetry src/PCGamess src/MultiGrid
+	src/Symmetry src/PCGamess src/MultiGrid src/SemiEmpirical
 
 ifneq ($(external_gtkglarea),1)
 GTKGL     = gtkglarea/*.o
 OBJECTS  += $(GTKGL)
 SUBDIRS  += gtkglarea
+else
+OBJECTS  += -lgtkgl-2.0
 endif
 
 ifneq ($(external_gl2ps),1)
 GL2PS     = gl2ps/*.o
 OBJECTS  += $(GL2PS)
 SUBDIRS  += gl2ps
+else
+OBJECTS  += -lgl2ps
 endif
  
 TARGETS = all clean dep
@@ -66,3 +71,15 @@
 	@$(RM) pp
 	@$(RM) p.c
 	@$(RM) *.gab
+	@$(RM) *.inp
+	@$(RM) *.mop
+	@$(RM) *.log
+	@$(RM) *.out
+	@$(RM) *.pun
+	@$(RM) *.dat
+	@$(RM) *.arc
+	@$(RM) *.aux
+	@$(RM) *.cmd
+	@$(RM) *.chk
+	@$(RM) *.sh
+	@$(RM) pm6*.*

=== src/Geometry/Makefile ===
OBJECTS = DrawGeom.o EnergiesCurves.o Fragments.o GeomConversion.o GeomXYZ.o GeomZmatrix.o ImagesGeom.o InterfaceGeom.o Mesure.o Povray.o ResultsAnalise.o Symmetry.o RotFragments.o BuildLinear.o BuildRing.o BuildRoZPhi.o BuildPolyPeptide.o FragmentsPPD.o FragmentsPSC.o FragmentsPNA.o BuildPolySaccharide.o BuildPolyNucleicAcid.o BuildNanoTube.o PersonalFragments.o SavePersonalFragments.o LoadPersonalFragments.o FragmentsSelector.o OpenBabel.o MenuToolBarGeom.o PreviewGeom.o FragmentsTree.o ExportGeom.o TreeMolecule.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/MultiGrid/Makefile ===
OBJECTS = ZlmMG.o MathFunctions.o DomainMG.o GridMG.o  PoissonMG.o

include ../../CONFIG

CFLAGS =  $(COMMONCFLAGS)  $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/OpenGL/Makefile ===
OBJECTS = Cylinder.o GeomOrbXYZ.o BondsOrb.o GeomDraw.o Sphere.o TriangleDraw.o UtilsOrb.o Basis.o Grid.o IsoSurface.o ViewOrb.o GLArea.o OrbitalsGamess.o OrbitalsMolpro.o OrbitalsQChem.o OrbitalsMopac.o Orbitals.o StatusOrb.o AtomicOrbitals.o Images.o GridPlans.o Contours.o ContoursDraw.o PreferencesOrb.o GridCube.o GridAdfOrbitals.o GridAdfDensity.o Textures.o Dipole.o AxisGL.o PrincipalAxisGL.o Vibration.o VibrationDraw.o ColorMap.o GridMolcas.o GridQChem.o AnimationRotation.o AnimationIsoSurface.o AnimationContours.o AnimationPlanesMapped.o AnimationGeomConv.o AnimationMD.o PovrayGL.o ContoursPov.o PlanesMappedDraw.o PlanesMapped.o PlanesMappedPov.o  SurfacesPov.o RingsPov.o MenuToolBarGL.o LabelsGL.o RingsOrb.o  ExportGL.o CaptureOrbitals.o

include ../../CONFIG

CFLAGS =  $(COMMONCFLAGS)  $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/Spectrum/Makefile ===
OBJECTS = SpectrumWin.o IRSpectrum.o RamanSpectrum.o UVSpectrum.o ECDSpectrum.o NMRSpectrum.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/Utils/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OBJECTS = GabeditTextEdit.o AtomsProp.o Jacobi.o Transformation.o Utils.o UtilsInterface.o Vector3d.o Matrix3D.o HydrogenBond.o PovrayUtils.o UtilsGL.o ConvUtils.o GabeditXYPlot.o
+OBJECTS = GabeditTextEdit.o AtomsProp.o Jacobi.o Transformation.o Utils.o UtilsInterface.o Vector3d.o Matrix3D.o HydrogenBond.o PovrayUtils.o UtilsGL.o ConvUtils.o GabeditXYPlot.o UtilsCairo.o
 
 include ../../CONFIG
 CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS) $(OGLCFLAGS)

## gabedit 2.2.9

=== Makefile ===
--- 
+++ 
@@ -16,22 +16,27 @@
 NETWORK    = src/NetWork/*.o
 OPENGL     = src/OpenGL/*.o
 PCGAMESS   = src/PCGamess/*.o
+ORCA      = src/Orca/*.o
 QCHEM      = src/QChem/*.o
 SEMIEMP    = src/SemiEmpirical/*.o
 UTILS      = src/Utils/*.o
 SYMMETRY   = src/Symmetry/*.o
+VIBCORR   = src/VibrationalCorrections/*.o
+IDC   = src/IsotopeDistribution/*.o
 
  
 OBJECTS = \
 	$(COMMON) $(CURVE) $(FILES) $(GAMESS) $(GAUSS) $(GEOM) $(MODELS) \
 	$(MOLCAS) $(MOLPRO) $(MOPAC) $(MPQC) $(MULTIGRID) $(NETWORK) \
-	$(OPENGL) $(PCGAMESS) $(QCHEM) $(SEMIEMP) $(UTILS) $(SYMMETRY)
+	$(OPENGL) $(PCGAMESS) $(ORCA) $(QCHEM) $(SEMIEMP) $(UTILS) \
+	$(SYMMETRY) $(VIBCORR) $(IDC)
 
 SUBDIRS = \
 	src/OpenGL src/Common src/Files src/Gaussian \
  	src/Geometry src/Spectrum src/MolecularMechanics src/Molpro src/Molcas \
-	src/MPQC src/Gamess src/QChem src/Mopac src/NetWork src/Utils \
-	src/Symmetry src/PCGamess src/MultiGrid src/SemiEmpirical
+	src/MPQC src/Gamess src/Orca src/QChem src/Mopac src/NetWork src/Utils \
+	src/Symmetry src/PCGamess src/MultiGrid src/SemiEmpirical \
+	src/VibrationalCorrections src/IsotopeDistribution
 
 ifneq ($(external_gtkglarea),1)
 GTKGL     = gtkglarea/*.o

=== gl2ps/Makefile ===
include ../CONFIG

OBJECTS = gl2ps.o

all: compiling

CFLAGS =  $(COMMONCFLAGS) $(OGLCFLAGS) 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.o

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== gtkglarea/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 all: compiling
 
-CFLAGS =  -Wall -O2 $(GTKCFLAGS) $(OGLCFLAGS) 
+CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS) $(OGLCFLAGS) 
 
 %.o : %.c
 	$(CC) -c $(CFLAGS) $< -o $@
@@ -12,7 +12,7 @@
 compiling: $(OBJECTS)
 
 clean:
-	@$(REMOVEFILE) *.o
+	@$(RM) *.o
 
 include Dep.mk
 #make dependance

=== src/Common/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 OBJECTS = Gabedit.o Help.o Install.o Preferences.o Printer.o Run.o SplashScreen.o TextEdit.o Windows.o Status.o Exit.o MenuToolBar.o StockIcons.o
 
 include ../../CONFIG
-CFLAGS =  -Wall -O2 $(GTKCFLAGS)
+CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)
 
 all: compiling 
 
@@ -11,7 +11,7 @@
 compiling: $(OBJECTS)
 
 clean:
-	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
+	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
 
 include Dep.mk
 #make dependance

=== src/Files/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 OBJECTS = FileChooser.o FolderChooser.o ListeFiles.o GabeditFolderChooser.o GabeditFileChooser.o
 
 include ../../CONFIG
-CFLAGS =  -Wall -O2 $(GTKCFLAGS)
+CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)
 
 all: compiling 
 
@@ -11,7 +11,7 @@
 compiling: $(OBJECTS)
 
 clean:
-	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
+	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
 
 include Dep.mk
 #make dependance

=== src/Gamess/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 OBJECTS = Gamess.o GamessMolecule.o GamessControl.o GamessBasis.o GamessGuess.o GamessSCF.o
 
 include ../../CONFIG
-CFLAGS =  -Wall -O2 $(GTKCFLAGS)
+CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)
 
 all: compiling 
 
@@ -11,7 +11,7 @@
 compiling: $(OBJECTS)
 
 clean:
-	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
+	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
 
 include Dep.mk
 #make dependance

=== src/Gaussian/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 OBJECTS = GInterfaceBasis.o GInterfaceGeom.o GInterfaceLink.o GInterfaceMethodeBase.o GInterfaceRoute.o Gaussian.o
 
 include ../../CONFIG
-CFLAGS =  -Wall -O2 $(GTKCFLAGS)
+CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)
 
 all: compiling 
 
@@ -12,7 +12,7 @@
 compiling: $(OBJECTS)
 
 clean:
-	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
+	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
 
 include Dep.mk
 #make dependance

=== src/Geometry/Makefile ===
OBJECTS = DrawGeom.o EnergiesCurves.o Fragments.o GeomConversion.o GeomXYZ.o GeomZmatrix.o ImagesGeom.o InterfaceGeom.o Measure.o Povray.o ResultsAnalise.o Symmetry.o RotFragments.o BuildLinear.o BuildRing.o BuildRoZPhi.o BuildPolyPeptide.o FragmentsPPD.o FragmentsPSC.o FragmentsPNA.o BuildPolySaccharide.o BuildPolyNucleicAcid.o BuildNanoTube.o PersonalFragments.o SavePersonalFragments.o LoadPersonalFragments.o FragmentsSelector.o OpenBabel.o MenuToolBarGeom.o PreviewGeom.o FragmentsTree.o ExportGeom.o TreeMolecule.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/IsotopeDistribution/Makefile ===
OBJECTS = IsotopeDistributionCalculator.o IsotopeDistributionCalculatorDlg.o 

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
dep :
	-makedepend -f- *.[ch] 2>/dev/null \
	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
	| sed 's:/usr/include/.*::g' \
	| sed 's:  *: :g; s: $$::' \
	| grep -v '.*:$$' >Dep.mk

=== src/MPQC/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 OBJECTS = MPQC.o MPQCMolecule.o MPQCMole.o MPQCGuessWaveFunction.o MPQCMpqc.o MPQCBasis.o MPQCLib.o MPQCBasisLibrary.o MPQCFunctionals.o MPQCOptimisation.o MPQCProperties.o
 
 include ../../CONFIG
-CFLAGS =  -Wall -O2 $(GTKCFLAGS)
+CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)
 
 all: compiling 
 
@@ -11,7 +11,7 @@
 compiling: $(OBJECTS)
 
 clean:
-	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
+	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
 
 include Dep.mk
 #make dependance

=== src/Molcas/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OBJECTS = Molcas.o MolcasSeward.o MolcasScf.o MolcasGridIT.o MolcasOptimisation.o MolcasVariables.o MolcasLib.o MolcasBasisLibrary.o MolcasBasis.o
+OBJECTS = Molcas.o MolcasGateWay.o MolcasSeward.o MolcasScf.o MolcasGridIT.o MolcasOptimisation.o MolcasVariables.o MolcasLib.o MolcasBasisLibrary.o MolcasBasis.o
 
 include ../../CONFIG
 CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

=== src/MolecularMechanics/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 OBJECTS = Atom.o Molecule.o ForceField.o MolecularMechanics.o ConjugateGradient.o SteepestDescent.o QuasiNewton.o MolecularMechanicsDlg.o CreateMolecularMechanicsFile.o CreatePersonalMMFile.o LoadMMParameters.o SetMMParameters.o CreateDefaultPDBTpl.o LoadPDBTemplate.o PDBTemplate.o SetPDBTemplate.o SavePDBTemplate.o CalculTypesAmber.o MolecularDynamics.o 
 
 include ../../CONFIG
-CFLAGS =  -Wall -O2 $(GTKCFLAGS)
+CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)
 
 all: compiling 
 
@@ -11,7 +11,7 @@
 compiling: $(OBJECTS)
 
 clean:
-	@$(REMOVEFILE) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
+	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
 
 include Dep.mk
 #make dependance

## gabedit 2.2.12

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 MULTIGRID  = src/MultiGrid/*.o
 NETWORK    = src/NetWork/*.o
 OPENGL     = src/OpenGL/*.o
-PCGAMESS   = src/PCGamess/*.o
+FIREFLY   = src/FireFly/*.o
 ORCA      = src/Orca/*.o
 QCHEM      = src/QChem/*.o
 SEMIEMP    = src/SemiEmpirical/*.o
@@ -28,14 +28,14 @@
 OBJECTS = \
 	$(COMMON) $(CURVE) $(FILES) $(GAMESS) $(GAUSS) $(GEOM) $(MODELS) \
 	$(MOLCAS) $(MOLPRO) $(MOPAC) $(MPQC) $(MULTIGRID) $(NETWORK) \
-	$(OPENGL) $(PCGAMESS) $(ORCA) $(QCHEM) $(SEMIEMP) $(UTILS) \
+	$(OPENGL) $(FIREFLY) $(ORCA) $(QCHEM) $(SEMIEMP) $(UTILS) \
 	$(SYMMETRY) $(VIBCORR) $(IDC)
 
 SUBDIRS = \
 	src/OpenGL src/Common src/Files src/Gaussian \
  	src/Geometry src/Spectrum src/MolecularMechanics src/Molpro src/Molcas \
 	src/MPQC src/Gamess src/Orca src/QChem src/Mopac src/NetWork src/Utils \
-	src/Symmetry src/PCGamess src/MultiGrid src/SemiEmpirical \
+	src/Symmetry src/FireFly src/MultiGrid src/SemiEmpirical \
 	src/VibrationalCorrections src/IsotopeDistribution
 
 ifneq ($(external_gtkglarea),1)

=== gtkglarea/Makefile ===
include ../CONFIG

OBJECTS = $(GDKGL).o gtkglarea.o

all: compiling

CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS) $(OGLCFLAGS) 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.o

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Geometry/Makefile ===
--- 
+++ 
@@ -13,12 +13,9 @@
 clean:
 	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
 
-include Dep.mk
 #make dependance
+SRCS = $(OBJECTS:%.o=%.c)
 dep :
-	-makedepend -f- *.[ch] 2>/dev/null \
-	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
-	| sed 's:/usr/include/.*::g' \
-	| sed 's:  *: :g; s: $$::' \
-	| grep -v '.*:$$' >Dep.mk
+	gcc -MM $(SRCS) > Dep.mk
 
+-include Dep.mk

=== src/MPQC/Makefile ===
--- 
+++ 
@@ -13,12 +13,10 @@
 clean:
 	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
 
-include Dep.mk
 #make dependance
+SRCS = $(OBJECTS:%.o=%.c)
 dep :
-	-makedepend -f- *.[ch] 2>/dev/null \
-	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
-	| sed 's:/usr/include/.*::g' \
-	| sed 's:  *: :g; s: $$::' \
-	| grep -v '.*:$$' >Dep.mk
+	gcc -MM $(SRCS) > Dep.mk
 
+-include Dep.mk
+

=== src/Molcas/Makefile ===
--- 
+++ 
@@ -13,12 +13,10 @@
 clean:
 	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 
 
-include Dep.mk
 #make dependance
+SRCS = $(OBJECTS:%.o=%.c)
 dep :
-	-makedepend -f- *.[ch] 2>/dev/null \
-	| sed 's:/usr[^ ]*/include/[^ ]*h::g' \
-	| sed 's:/usr/include/.*::g' \
-	| sed 's:  *: :g; s: $$::' \
-	| grep -v '.*:$$' >Dep.mk
+	gcc -MM $(SRCS) > Dep.mk
 
+-include Dep.mk
+

=== src/OpenGL/Makefile ===
OBJECTS = Cylinder.o GeomOrbXYZ.o BondsOrb.o GeomDraw.o Sphere.o TriangleDraw.o UtilsOrb.o Basis.o Grid.o IsoSurface.o ViewOrb.o GLArea.o OrbitalsGamess.o OrbitalsMolpro.o OrbitalsOrca.o OrbitalsQChem.o OrbitalsMopac.o Orbitals.o StatusOrb.o AtomicOrbitals.o Images.o GridPlans.o Contours.o ContoursDraw.o PreferencesOrb.o GridCube.o GridAdfOrbitals.o GridAdfDensity.o Textures.o Dipole.o AxisGL.o PrincipalAxisGL.o Vibration.o VibrationDraw.o ColorMap.o GridMolcas.o GridQChem.o AnimationRotation.o AnimationIsoSurface.o AnimationContours.o AnimationPlanesMapped.o AnimationGeomConv.o AnimationMD.o PovrayGL.o ContoursPov.o PlanesMappedDraw.o PlanesMapped.o PlanesMappedPov.o  SurfacesPov.o RingsPov.o MenuToolBarGL.o LabelsGL.o RingsOrb.o  ExportGL.o CaptureOrbitals.o IntegralOrbitals.o GridCP.o

include ../../CONFIG

CFLAGS =  $(COMMONCFLAGS)  $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

## gabedit 2.3.6

=== debian/changelog ===
gabedit (2.3.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Description): Fixed spelling error.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 21 Apr 2011 22:14:15 +0200

gabedit (2.3.5-1) unstable; urgency=low

  * New upstream release.
    - New: Parallelization using OpenMP.
    - New: Migration from gtkglarea to GtkGLExt.
  * debian/control (Vcs-Browser): Point to real location.
    (Build-Depends): Replaced libgtkgl2.0-dev by libgtkglext1-dev. Added
    libgl2ps-dev. Dropped dpatch.
  * debian/copyright: Updated. Removed gtkglarea license stuff and added gl2ps
    copyright and license information.
  * debian/rules: Dropped dpatch stuff.
    (GTKLIB, GTKCFLAGS): Replaced libgtkgl2.0-dev by libgtkglext1-dev.
    (OMPLIB, OMPCFLAGS): Added for libgomp support.
    (DRAWGEOMGL): Added to correctly determine COMMONCFLAGS.
    (LDFLAGS): Added -Wl,--as-needed to drop unused dependencies.
    (build-stamp): Build with libgl2ps-dev.
    (build-stamp, clean): Dropped gtkglarea and dpatch related parts.
    (binary-arch): Install ChangeLog file as upstream changelog.
  * debian/source/format: Change to format 3.0 (quilt).
  * debian/patches/90_config_for_debian.dpatch: Dropped - changes obsolete
    or added by upstream.
  * debian/patches/00list: Adjusted and renamed to debian/patches/series.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 08 Feb 2011 17:11:05 +0100

gabedit (2.2.12-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 10 May 2010 00:50:26 +0200

gabedit (2.2.11-1) unstable; urgency=low

  * New upstream release.
  * debian/rules (COMMONCFLAGS): Use -DENABLE_DEPRECATED to enable deprecated
    Gtk, Gdk and Pango functions during build (closes: #577372).
  * debian/patches/90_config_for_debian.dpatch: Adjusted.
    - Config.h: Don't define *_DISABLE_DEPRECATED if ENABLE_DEPRECATED is
      defined.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 29 Apr 2010 21:12:33 +0200

gabedit (2.2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.8.4.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 28 Feb 2010 18:28:17 +0100

gabedit (2.2.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Depends): Fixed debhelper-but-no-misc-depends.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 03 Jan 2010 02:56:47 +0100

gabedit (2.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 06 Dec 2009 01:32:05 +0100

gabedit (2.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 15 Nov 2009 22:34:42 +0100

gabedit (2.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 25 Oct 2009 19:58:45 +0100

gabedit (2.2.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.8.3.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 14 Sep 2009 23:49:36 +0200

gabedit (2.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 24 Aug 2009 00:41:37 +0200

gabedit (2.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 19 Aug 2009 23:47:27 +0200

gabedit (2.2.2-1) unstable; urgency=low

  * New upstream release 2.2.2.
  * debian/control (Standards-Version): Bumped to 3.8.2.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 15 Jul 2009 01:53:59 +0200

gabedit (2.2.0-1) unstable; urgency=low

  * New upstream release 2.2.0.
  * debian/control (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 30 May 2009 23:15:30 +0200

gabedit (2.1.20-1) unstable; urgency=low

  * New upstream release 2.1.20.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 17 Apr 2009 22:21:39 +0200

gabedit (2.1.19-1) unstable; urgency=low

  * New upstream release 2.1.19.

  * debian/watch: Improved.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 06 Apr 2009 12:38:31 +0200

gabedit (2.1.18-1) unstable; urgency=low

  * New upstream release 2.1.18.

  * debian/control (Standards-Version): Bumped to 3.8.1 (no other changes).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 23 Mar 2009 19:52:42 +0100

gabedit (2.1.17-1) unstable; urgency=low

  * New upstream release 2.1.17.

  * debian/control (Vcs-Svn): Fixed.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 24 Feb 2009 00:25:08 +0100

gabedit (2.1.16-1) unstable; urgency=low

  * New upstream release 2.1.16.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 19 Feb 2009 00:12:02 +0100

gabedit (2.1.15-1) unstable; urgency=low

  * New upstream release 2.1.15.

  * debian/control (Suggests): Removed cupsys-bsd.
  * debian/patches/92_sprintf.dpatch: Removed (applied upstream).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 15 Feb 2009 20:11:25 +0100

gabedit (2.1.14-1) experimental; urgency=low

  * New upstream release 2.1.14.

  [ Daniel Leidert ]
  * debian/control (Vcs-Svn): Set to experimental location.
    (Build-Depends): Removed docbook-xml/docbook-xsl toolchain.
    (Standards-Version): Bumped to 3.8.0.
  * debian/gabedit.1: Rewritten in pure GROFF.
  * debian/gabedit.1.xml: Dropped.
  * debian/rules: Ship the manual page in pure GROFF. No need for the
    docbook-xml/docbook-xsl toolchain.
  * debian/watch: Fixed for upstreams naming scheme.
  * debian/README.source: Added to comply to policy version 3.8.
  * debian/patches/fix_programming_issues.dpatch: Removed (applied upstream).
  * debian/patches/00list: Adjusted.

  [ Nicholas Breen ]
  * debian/patches/sprintf.patch: Correct several uses of sprintf()


=== debian/control ===
Source: gabedit
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: debhelper (>= 5), pkg-config,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libgl2ps-dev,
 libglib2.0-dev, libgtk2.0-dev, libgtkglext1-dev, libpango1.0-dev, xutils-dev
Standards-Version: 3.9.1
Homepage: http://gabedit.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/gabedit/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/gabedit/
DM-Upload-Allowed: yes

Package: gabedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openbabel
Recommends: mpqc
Suggests: a2ps, cups-bsd | lpr, povray [i386], ftp-ssl | ftp, openssh-client | rsh-client, openssh-client | ssh-client
Description: graphical user interface to Ab Initio packages
 Gabedit is a graphical user interface to computational chemistry
 packages like the Free Software package MPQC.  Other (proprietary)
 packages supported include:
 .
  - GAMESS-US
  - Gaussian
  - Molcas
  - Molpro
  - Q-Chem
 .
 running locally or on a remote server (supporting FTP, RSH and SSH).
 It can display a variety of calculation results including support for
 most major molecular file formats.  The advanced "Molecule Builder"
 allows one to rapidly sketch in molecules and examine them in 3D.
 Graphics can be exported to various formats, including animations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=gabedit
INSTALL=/usr/bin/install

GTKLIB        = `pkg-config --libs gtk+-2.0 gtkglext-1.0 pangox`
GTKCFLAGS     = `pkg-config --cflags gtk+-2.0 gtkglext-1.0 pangox`
OGLLIB        = -lGL -lGLU
OGLCFLAGS     = -I/usr/include
LIBPTHREAD    = -lpthread
OMPLIB        = -lgomp
OMPCFLAGS     = -DENABLE_OMP -fopenmp
DRAWGEOMGL    = -DDRAWGEOMGL

CC            = gcc -g
COMMONCFLAGS  = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
COMMONCFLAGS += -O0
else
COMMONCFLAGS += -O2
endif

COMMONCFLAGS += -DENABLE_DEPRECATED

LDFLAGS      += -Wl,--as-needed

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) external_gl2ps=1 \
	        GTKLIB="$(GTKLIB)" \
		GTKCFLAGS="$(GTKCFLAGS)" \
		OGLLIB="$(OGLLIB)" \
	        OGLCFLAGS="$(OGLCFLAGS)" \
		LIBPTHREAD="$(LIBPTHREAD)" \
		OMPLIB="$(OMPLIB)" \
		OMPCFLAGS="$(OMPCFLAGS)" \
		DRAWGEOMGL="$(DRAWGEOMGL)" \
		COMMONCFLAGS="$(COMMONCFLAGS) $(OMPCFLAGS) $(DRAWGEOMGL)" \
		CC="$(CC)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	for size in 16 24 32 48 ; do \
		$(INSTALL) -m 644 icons/Gabedit$${size}.png \
		    $(CURDIR)/debian/$(PACKAGE)/usr/share/icons/hicolor/$${size}x$${size}/apps/gabedit.png ; \
	done

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	# fix permissions to be 0644
	chmod 644 $(CURDIR)/debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/*
	dh_installman
	dh_installmenu
	dh_installmime
	dh_link
	dh_strip
	dh_compress $(CURDIR)/debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/exampleGeoConv.gab
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gabedit 2.3.7

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 MPQC       = src/MPQC/*.o
 MULTIGRID  = src/MultiGrid/*.o
 NETWORK    = src/NetWork/*.o
-OPENGL     = src/OpenGL/*.o
+OPENGL     = src/Display/*.o
 FIREFLY   = src/FireFly/*.o
 ORCA      = src/Orca/*.o
 QCHEM      = src/QChem/*.o
@@ -32,26 +32,19 @@
 	$(SYMMETRY) $(VIBCORR) $(IDC)
 
 SUBDIRS = \
-	src/OpenGL src/Common src/Files src/Gaussian \
+	src/Display src/Common src/Files src/Gaussian \
  	src/Geometry src/Spectrum src/MolecularMechanics src/Molpro src/Molcas \
 	src/MPQC src/Gamess src/Orca src/QChem src/Mopac src/NetWork src/Utils \
 	src/Symmetry src/FireFly src/MultiGrid src/SemiEmpirical \
 	src/VibrationalCorrections src/IsotopeDistribution
 
-ifneq ($(external_gtkglarea),1)
-GTKGL     = gtkglarea/*.o
-OBJECTS  += $(GTKGL)
-SUBDIRS  += gtkglarea
-else
-OBJECTS  += -lgtkgl-2.0
-endif
-
 ifneq ($(external_gl2ps),1)
 GL2PS     = gl2ps/*.o
 OBJECTS  += $(GL2PS)
 SUBDIRS  += gl2ps
+GLTOPS =
 else
-OBJECTS  += -lgl2ps
+GLTOPS = -lgl2ps
 endif
  
 TARGETS = all clean dep
@@ -66,7 +59,12 @@
 all: gabedit
 
 gabedit: $(SUBDIRS)
-	$(CC) $(LDFLAGS) $(OBJECTS) -o gabedit $(X11LIB) $(GTKLIB) $(OGLLIB) $(JPEGLIB) $(LIBPTHREAD) $(WIN32LIB) -g
+	mkdir tmp
+	cp $(OBJECTS) tmp
+	$(CC) $(LDFLAGS) tmp/*.o -o gabedit $(GLTOPS) $(X11LIB) $(GTKLIB) $(OGLLIB) $(JPEGLIB) $(LIBPTHREAD) $(WIN32LIB) $(OMPLIB) -g
+	@$(RMTMP) > ptmp
+	rmdir tmp
+	@$(RM) ptmp
  
 clean:
 	@$(RM) gabedit

=== src/Display/Makefile ===
OBJECTS = GeomOrbXYZ.o BondsOrb.o GeomDraw.o TriangleDraw.o UtilsOrb.o Basis.o Grid.o IsoSurface.o ViewOrb.o GLArea.o OrbitalsGamess.o OrbitalsMolpro.o OrbitalsOrca.o OrbitalsQChem.o OrbitalsMopac.o Orbitals.o StatusOrb.o AtomicOrbitals.o Images.o GridPlans.o Contours.o ContoursDraw.o PreferencesOrb.o GridCube.o GridAdfOrbitals.o GridAdfDensity.o Textures.o Dipole.o AxisGL.o PrincipalAxisGL.o Vibration.o VibrationDraw.o ColorMap.o GridMolcas.o GridQChem.o AnimationRotation.o AnimationIsoSurface.o AnimationContours.o AnimationPlanesMapped.o AnimationGeomConv.o AnimationMD.o PovrayGL.o ContoursPov.o PlanesMappedDraw.o PlanesMapped.o PlanesMappedPov.o  SurfacesPov.o RingsPov.o MenuToolBarGL.o LabelsGL.o RingsOrb.o  ExportGL.o CaptureOrbitals.o IntegralOrbitals.o GridCP.o AnimationGrids.o

include ../../CONFIG

CFLAGS =  $(COMMONCFLAGS)  $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== debian/changelog ===
gabedit (2.3.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.2.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 11 May 2011 18:33:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 5), pkg-config,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libgl2ps-dev,
  libglib2.0-dev, libgtk2.0-dev, libgtkglext1-dev, libpango1.0-dev, xutils-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://gabedit.sourceforge.net
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/gabedit/
 Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/gabedit/

## gabedit 2.4.0

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 NETWORK    = src/NetWork/*.o
 OPENGL     = src/Display/*.o
 FIREFLY   = src/FireFly/*.o
+NWCHEM    = src/NWChem/*.o
 ORCA      = src/Orca/*.o
 QCHEM      = src/QChem/*.o
 SEMIEMP    = src/SemiEmpirical/*.o
@@ -28,13 +29,13 @@
 OBJECTS = \
 	$(COMMON) $(CURVE) $(FILES) $(GAMESS) $(GAUSS) $(GEOM) $(MODELS) \
 	$(MOLCAS) $(MOLPRO) $(MOPAC) $(MPQC) $(MULTIGRID) $(NETWORK) \
-	$(OPENGL) $(FIREFLY) $(ORCA) $(QCHEM) $(SEMIEMP) $(UTILS) \
+	$(OPENGL) $(FIREFLY) $(NWCHEM) $(ORCA) $(QCHEM) $(SEMIEMP) $(UTILS) \
 	$(SYMMETRY) $(VIBCORR) $(IDC)
 
 SUBDIRS = \
 	src/Display src/Common src/Files src/Gaussian \
  	src/Geometry src/Spectrum src/MolecularMechanics src/Molpro src/Molcas \
-	src/MPQC src/Gamess src/Orca src/QChem src/Mopac src/NetWork src/Utils \
+	src/MPQC src/Gamess src/NWChem src/Orca src/QChem src/Mopac src/NetWork src/Utils \
 	src/Symmetry src/FireFly src/MultiGrid src/SemiEmpirical \
 	src/VibrationalCorrections src/IsotopeDistribution
 
@@ -59,7 +60,7 @@
 all: gabedit
 
 gabedit: $(SUBDIRS)
-	mkdir tmp
+	$(MKDIR) tmp
 	cp $(OBJECTS) tmp
 	$(CC) $(LDFLAGS) tmp/*.o -o gabedit $(GLTOPS) $(X11LIB) $(GTKLIB) $(OGLLIB) $(JPEGLIB) $(LIBPTHREAD) $(WIN32LIB) $(OMPLIB) -g
 	@$(RMTMP) > ptmp

=== src/Display/Makefile ===
OBJECTS = GeomOrbXYZ.o BondsOrb.o GeomDraw.o TriangleDraw.o UtilsOrb.o Basis.o Grid.o IsoSurface.o ViewOrb.o GLArea.o OrbitalsGamess.o OrbitalsMolpro.o OrbitalsOrca.o OrbitalsQChem.o OrbitalsNWChem.o OrbitalsMopac.o Orbitals.o StatusOrb.o AtomicOrbitals.o Images.o GridPlans.o Contours.o ContoursDraw.o PreferencesOrb.o GridCube.o GridAdfOrbitals.o GridAdfDensity.o Textures.o Dipole.o AxisGL.o PrincipalAxisGL.o Vibration.o VibrationDraw.o ColorMap.o GridMolcas.o GridQChem.o AnimationRotation.o AnimationIsoSurface.o AnimationContours.o AnimationPlanesMapped.o AnimationGeomConv.o AnimationMD.o PovrayGL.o ContoursPov.o PlanesMappedDraw.o PlanesMapped.o PlanesMappedPov.o  SurfacesPov.o RingsPov.o MenuToolBarGL.o LabelsGL.o RingsOrb.o  ExportGL.o CaptureOrbitals.o IntegralOrbitals.o GridCP.o AnimationGrids.o

include ../../CONFIG

CFLAGS =  $(COMMONCFLAGS)  $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Orca/Makefile ===
OBJECTS = Orca.o OrcaMolecule.o OrcaKeywords.o OrcaGuess.o OrcaBasis.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== debian/changelog ===
gabedit (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Description): Improved description (closes: #639227).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 27 Oct 2011 00:06:02 +0200

=== debian/control ===
--- 
+++ 
@@ -19,17 +19,18 @@
 Suggests: a2ps, cups-bsd | lpr, povray [i386], ftp-ssl | ftp, openssh-client | rsh-client, openssh-client | ssh-client
 Description: graphical user interface to Ab Initio packages
  Gabedit is a graphical user interface to computational chemistry
- packages like the Free Software package MPQC.  Other (proprietary)
- packages supported include:
+ packages like:
  .
+  - MPQC
   - GAMESS-US
   - Gaussian
   - Molcas
   - Molpro
   - Q-Chem
  .
- running locally or on a remote server (supporting FTP, RSH and SSH).
- It can display a variety of calculation results including support for
- most major molecular file formats.  The advanced "Molecule Builder"
- allows one to rapidly sketch in molecules and examine them in 3D.
- Graphics can be exported to various formats, including animations.
+ These Ab Initio software packages might run locally or on a remote
+ server (supporting FTP, RSH and SSH). Gabedit can display a variety
+ of calculation results including most major molecular file formats.
+ The advanced "Molecule Builder" allows one to rapidly sketch in
+ molecules and examine them in 3D. Graphics can further be exported
+ to various formats, including animations.
